version: "2"
services:
  app:
    build: ./
    image: gitea.simonzeyer.de/simon/wnd_ils_alarmfax_parser:latest
    restart: always
    privileged: true
    environment:
      - mode=${mode}
      - username=${username}
      - password=${password}
      - server=${server}
      - primary_smtp_address=${primary_smtp_address}
      - filter_from=${filter_from}
      - folders=${folders}
      - IS_DEV=${IS_DEV}
      - webhooks=${webhooks}
      - alarmfax_parser_id=${alarmfax_parser_id}
      - alarminator_api=${alarminator_api}
      - alarminator_token=${alarminator_token}
      - alarminator_zvies_use_PEALGRP=${alarminator_zvies_use_PEALGRP}
      - printer=${printer}
      - print_num=${print_num}
    volumes:
      - ./cups:/etc/cups
      - ./cupsd.conf.txt:/etc/cups/cupsd.conf
      - /dev/bus/usb:/dev/bus/usb
      - /var/run/dbus:/var/run/dbus